<?php

	// Implementierende Klasse in Server einbinden
	// Es sind zwei PHP-Dateien mit Beispiel-Implementierungen vorhanden.
	//  GetDeliveryInformationClass.php 	: Liefert nur Dummy-Daten. Bietet Basis fuer eigene Implementierung
	//  GetDeliveryInformationMySqlClass.php: Liefert Daten aus lokaler mySQL-Datenbank als Beispiel fuer eine mySQL-basierende Implementierung
	// Die nicht gewuenschte Implementierung ist auszukommentieren oder eine eigene per require_once einzubinden 
	// require_once('GetDeliveryInformationClass.php');	  
	require_once('GetDeliveryInformationMySqlClass.php');

	// Server konfigurieren und erzeugen
	$wsdl = "http://localhost/GetDeliveryInformation.wsdl";
 	$options = array();
	ini_set("soap.wsdl_cache_enabled", "0"); 	
 	$server = new SoapServer($wsdl,$options);
 	// $server = new SoapServer(null,array());

 	// Server die zu implementierende Klasse binden 
 	$server->setClass("GetDeliveryInformation");

 	// Request verarbeiten
 	$server->handle();
 	
?>