<?php
/* **************************************************************************** */
/*   Allgemeine Initialisierung 															*/
/* **************************************************************************** */
// Parameter setzen fuer GLNs
 $sourceGLN = "1234567890123";
 // $recipientGLN = "4039853001502"; // now by huelsta
 // $recipientGLN = "4039853001004";	// huelsta klassisch
 $recipientGLN = "4711";

/* **************************************************************************** */
/*   WS - Definition 															*/
/* **************************************************************************** */
 // Setzen Endpoint fuer Web-Service und Initialieren SoapClient
 $wsdl = "http://localhost/GetDeliveryInformation.wsdl";
 $options = array();		// keine Options erforderlich
 $client = new SoapClient($wsdl,$options);

/* **************************************************************************** */
/*   WS - Verwendung 															*/
/* **************************************************************************** */
 // Parameter-Objekt setzen
 $paramsDI4MfShort = array("senderId" => $senderGLN,"senderIdType"=>0,"recipientGLN"=>$recipientGLN);
 // SoapClient Methode aufrufen. Thats it!
 $response = $client->getDeliveryTime4AllPrograms($paramsDI4MfShort);
  
/* **************************************************************************** */
/*   Ausgabe 															*/
/* **************************************************************************** */
 // Pruefen ob Daten vorhanden
 $pi = $response->programInfos;
 if ($pi->ok)
 {
	 if (count($pi->programInformations)>0)
	 {
	 	echo "<h2>Lieferzeit for GLN=".$recipientGLN." und alle Programme</h2><BR/>";
	 	echo "<Table border='1'>";
	 	echo "<tr><td>Programm</td><td>GTIN</td><td>LieferZeit</td><td>TimeKey</td><td>Bemerkung</td><td>Ok</td><td>Return-Meldung</td>";
	 	foreach ( $pi->programInformations as $prgInfo)
		 {
		    $pidt = $prgInfo->deliveryTime;
		    echo "<tr><td>".$prgInfo->name."</td><td>".$prgInfo->gtin."</td><td>".$pidt->deliveryTime."</td><td>".$pidt->timeKey."</td><td>".$pidt->remark."</td><td>".$pidt->ok."</td><td>".$pidt->errorMsg."</td></tr>";
		 }
		 echo "</table>";
	 }
	 else
	 {
	 	echo "Keine Daten oder ungueltige Parameter";
	 }
 }
 else 
 {
 	echo "Fehler bei Abruf der Programm-Liste,Error:".$pi->errorMsg;
 }	 
?>